import { IonCustomFormBuilderConfig } from './config-options-interface';
import { FormField } from './form-field-interface';
import { FormGroup, FormBuilder } from '@angular/forms';
import { OnInit, EventEmitter, OnChanges } from '@angular/core';
export declare class IonCustomFormBuilderComponent implements OnInit, OnChanges {
    private formBuilder;
    private config;
    customForm: FormGroup;
    formControls: any;
    formBuilt: boolean;
    emailRegEx: string;
    masks: any;
    creditCardFieldIndex: number;
    creditCardImg: string;
    formFields: FormField[];
    submitButtonText: string;
    errorsIndex: [];
    defaultCssClass: string;
    successCssClass: string;
    errorCssClass: string;
    showLabels: boolean;
    showIcons: boolean;
    showCardIcons: boolean;
    returnCreditCardType: boolean;
    iconColor: string;
    submitButtonColor: string;
    formSubmission: EventEmitter<any>;
    constructor(formBuilder: FormBuilder, config: IonCustomFormBuilderConfig);
    ngOnChanges(): void;
    ngOnInit(): void;
    private validateCardNumber;
    private detectCardType;
    createCardIcon(icon: any): {
        'width': string;
        'margin-top': string;
        'margin-right': string;
        'content': string;
    };
    private handlePasswords;
    submitForm(): void;
    hasValidationErrors(): boolean;
    hasFieldErrors(): boolean;
    setCssClasses(field: FormField): {};
}
